Package uk.ac.starlink.vo

## Interface TapServiceFinder.Constraint

- Enclosing interface:
    TapServiceFinder

      public static interface TapServiceFinder.Constraint

  Describes constraints on tables to be found by a certain query.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String[]` | `getKeywords​()` | Returns a list of search terms to be matched against target items.
    `TapServiceFinder.Target[]` | `getTargets​()` | Returns a list of the metadata items against which the supplied keywords are to be matched.
    `boolean` | `isAndKeywords​()` | Indicates how the search terms will be combined when matching against the search targets.

- - ### Method Detail

    - #### getKeywords

          java.lang.String[] getKeywords​()

      Returns a list of search terms to be matched against target items.
      Returns:
        search keywords

    - #### getTargets

          TapServiceFinder.Target[] getTargets​()

      Returns a list of the metadata items against which the supplied keywords are to be matched.
      Returns:
        search targets

    - #### isAndKeywords

          boolean isAndKeywords​()

      Indicates how the search terms will be combined when matching against the search targets.
      Returns:
        if true, all keywords must be matched, if false, any keyword must be matched

Copyright © 2018 Central Laboratory of the Research Councils. All Rights Reserved.